<template>
  <div class="bar" :style="{transform: rotationDegree}"></div>
</template>

<style lang="scss" scoped>
.bar {
  display: block;
  height: 10px;
  width: 100%;
  border-radius: 5px;
  background-color: black;
  transition: transform .3s ease;
  transform: rotate(0);
}
</style>

<script>
export default {
  name: 'bar',
  computed: {
    bendingPercentage() {
      return this.$store.state.bendingPercentage;
    },
    rotationDegree() {
      return `rotate(${this.bendingPercentage / 2}deg)`;
    }
  },
  watch: {
    bendingPercentage() {
      if (Math.abs(this.bendingPercentage) > 30) {
        this.$store.dispatch('gameOver');
      }
    }
  }
}
</script>